Subsections

- Name
- Synopsys
- Description
- Arguments
- Parameters
- Example
- Errors
- See Also

##
Generators

### Name

Generate - Interface with the generators

### Synopsys

    Generate ( model, modelname, param = dict )

### Description

The `Generate` function call is the generic interface to all generators.

### Arguments

- `model` : Specifies which generator is to be invoked
  - If the generator belongs to the Dpgen library provided by Stratus, the model name of the generator is simply the name of the class of the generator.
  - If the generator is created by the user, the model name of the generator must have the form : "file_name.class_name". (Note that if the the generator is not in the working directory, the directory of the generator to be instantiated has to be added in the CRL_CATA_LIB environment variable)
- `modelname` : Specifies the name of the model to be generated
- `dict` : Specifies the parameters of the generator

### Parameters

Every generator has it's own parameters. They must be described in the map `dict`.
Every generator provides a netlist view. Two other views can be generated, if they are provided by the generator. Two parameters have to be given, in order to choose those views :

- 'physical' : True/False, generation of the physical view (optionnal, False by default)
- 'behavioral' : True/False, generation of the behavioral view (optionnal, False by default)

### Example

You can see a concrete example at : Example

### Errors

Some errors may occur :

- `[Stratus ERROR] Generate : the model must be described in a string.`

### See Also

Introduction Netlist Layout